> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user skill



## OpenAPI

````yaml api-reference/openapi.v1.json GET /skills/{slug}
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /skills/{slug}:
    get:
      tags:
        - skills
      summary: Get user skill
      operationId: getUserSkill
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            pattern: ^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillDetail'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    SkillDetail:
      additionalProperties: false
      properties:
        files:
          items:
            $ref: '#/components/schemas/SkillFile'
          type: array
        skill:
          $ref: '#/components/schemas/SkillSummary'
      required:
        - skill
        - files
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    SkillFile:
      additionalProperties: false
      properties:
        content:
          type: string
        mode:
          format: int32
          minimum: 0
          type: integer
        path:
          minLength: 1
          type: string
      required:
        - path
        - content
      type: object
    SkillSummary:
      additionalProperties: false
      properties:
        description:
          minLength: 1
          type: string
        diagnostics:
          items:
            $ref: '#/components/schemas/Diagnostic'
          type: array
        slug:
          minLength: 1
          type: string
        source:
          enum:
            - user
            - repo
          type: string
      required:
        - source
        - slug
      type: object
    Diagnostic:
      additionalProperties: false
      properties:
        code:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        path:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````